This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 174801 - lpasswd crashes when no username set on command line
lpasswd crashes when no username set on command line
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: libuser (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Miloslav Trmač
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-02 07:36 EST by Tomas Mraz
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 0.54.3-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-04 03:52:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Tomas Mraz 2005-12-02 07:36:01 EST
Description of problem:
lu_authenticate_unprivileged() doesn't verify if user parameter is NULL.

Version-Release number of selected component (if applicable):
0.54.2

How reproducible:
100%

Steps to Reproduce:
1. lpasswd
2. enter login, password
3. crash
  
Actual results:
crash

Expected results:
no crash

Additional info:
Comment 1 Miloslav Trmač 2005-12-04 03:52:46 EST
Fixed in libuser-0.54.3. Thanks for your report.

Note You need to log in before you can comment on or make changes to this bug.